<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_c91b0ff19f81a887" . "3a4593a23719472c" => base64_decode("cnRyaW0" . "="), "_ab8b6a5b56b4cfd73230" . "ed5cad4fb54c" => base64_decode("Y29yZS5ib290ZW" . "Q="), "_8fec21706bd243b37ecf62b1caf8" . "fb8a" => base64_decode("Y" . "2" . "x" . "p"), "_eea266d1" . "da508f42d" . "eea49cc3a" . "dd68ec" => base64_decode("UFV" . "U"), "_e06da3ffba2e84b" . "8e6f94bd2d6ca3c5" . "2" => base64_decode("Y3JlYXRlX2ludGVybmFsX2" . "xpbms="), "_db7b295629faa16027a2c263095eb" . "a70" => base64_decode("cGhwX3" . "NhcGlf" . "bmFtZQ" . "=="), "_14feb73099827a30c31c0b996" . "c13f13c" => base64_decode("b25LZXJuZWxSZXF1Z" . "XN0"), "_87daa84e346f6420a3f3426e0" . "5d16a7b" => base64_decode("Lw" . "=="), "_bd8510ebf29b0f687c25c9" . "0c740715d8" => base64_decode("aHR0cF9yZXNwb25z" . "ZV9jb2Rl"), "_8ec8f26c742278f90615f50" . "d682eea79" => base64_decode("UE9T" . "VA=="), "_4d707fab93bebb00" . "bbe69e8159697c90" => base64_decode(""), "_e6d18c493faa20d5d45c0751d2c02c" . "e6" => base64_decode("TG9jYXRpb" . "246IA=="), "_781e2532c1e56969c535c11840" . "64bae6" => base64_decode("b25Db3JlQm9" . "vdA=="), "_fad3a97fa79" . "19b1999c977c" . "8bdad925a" => base64_decode("c3ltZm9ueV9yZXF1Z" . "XN0"), "_2b2486424e6dfb906c" . "925739c329be7c" => base64_decode("aGVhZG" . "Vy"));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c91b0ff19f81" . "a8873a4593a23" . "719472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_87daa84e346f642" . "0a3f3426e05d16a7" . "b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_14feb73099827a3" . "0c31c0b996c13f13" . "c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_ab8b6a5b56" . "b4cfd73230e" . "d5cad4fb54c"] => $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_781e2532c1e56969c535c1184064" . "bae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8ec8f26c742278f90615f50d68" . "2eea79"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_eea266d1da508f42deea49cc3add68e" . "c"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_db7b2956" . "29faa1602" . "7a2c26309" . "5eba70"]() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8fec21706bd243b37ecf62b" . "1caf8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_fad3a97fa7919b1999c977c8bdad925" . "a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e06da3ffba2e84b8e6f94bd2d6ca" . "3c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4d707fab93bebb00bbe69e8159697c" . "90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_bd8510ebf29b0f687c25c90c7" . "40715d8"](301);
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2b2486424e6dfb906c925739c" . "329be7c"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e6d18c493faa20d5d45c" . "0751d2c02ce6"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e06da3ffba2e84b8e6f94bd" . "2d6ca3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}